Download it now!
Bug 121581 - Replace the "Organize Dialogs" command in the Tools tab in the Tabbed UI by the Organize Macros drop-down command
Summary: Replace the "Organize Dialogs" command in the Tools tab in the Tabbed UI by t...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium enhancement
Assignee: andreas_k
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-11-21 11:59 UTC by Pedro
Modified: 2018-12-18 00:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Rename Organize Dialogs to Macro Organizer (445.01 KB, image/png)
2018-11-21 11:59 UTC, Pedro
Details
Replace the Organize Dialogs with the Organize Macros command in the Tabbed bar (435.49 KB, image/png)
2018-11-21 13:35 UTC, Pedro
Details
Organize Macros command does not show created Macros (109.78 KB, image/png)
2018-12-13 14:48 UTC, Pedro
Details
LibreOfficeDev Basic dialog showing the mock macros I created that failed to show on Organize Macros (130.69 KB, image/png)
2018-12-13 14:51 UTC, Pedro
Details
Place the LibreOfficeDev Basic in the position of the Organize Macros (147.96 KB, image/png)
2018-12-13 14:53 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-11-21 11:59:54 UTC
Created attachment 146866 [details]
Rename Organize Dialogs to Macro Organizer

The command "Organize Dialogs" in the Tools tab of the tabbed UI opens the Basic Macro Organizer dialog box. 
This dialog box allows to organize not only Dialogs, but also Modules and Libraries therefore the command should refer to the name of the dialog box that it opens and not only to Organize Dialogs.

Therefore I propose to rename this command to Macro Organizer.
Comment 1 Pedro 2018-11-21 13:35:15 UTC
Created attachment 146871 [details]
Replace the Organize Dialogs with the Organize Macros command in the Tabbed bar

Well, in the Tools drop-down menu there's an "Organize Macros" button, therefore I instead recommend including that one by default in the Tools tab.
Comment 2 Heiko Tietze 2018-11-28 07:15:39 UTC
Up to the designer of the NB variant.
Comment 3 Commit Notification 2018-11-28 20:08:31 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2c154667ff257a9aaec2baa386cec7b9e129132d%5E%21

tdf#121581 change organize dialoogs to organize macro

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-29 03:43:21 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/19ed06f3e22a9f088a72633d6dc3b40116007f25%5E%21

tdf#121581 change organize dialoogs to organize macro

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-12-01 00:15:57 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/262ba64960f6295e901dfeaa1de971e090a8a1dc%5E%21

KJ & elementary: tdf#121581 change Organize Dialogs to Organize Macros; add Insert Layer

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-12-01 04:09:44 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5fd429a3e20d0fb91d96be9ded39f81325432509%5E%21

KJ & elementary: tdf#121581 change Organize Dialogs to Organize Macros; add Insert Layer

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 andreas_k 2018-12-10 23:11:55 UTC
organizer dialogs were replaced with scriptorganizer as somewhere suggested and this icon is available in all icon themes.
Comment 8 Commit Notification 2018-12-11 07:58:48 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0c2d0f3197490c5b1dfd374eec7382263f0a6b38%5E%21

tdf#121581 add scriptorganizer icon to breeze and sifr

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-12-11 16:54:15 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/597cffcc65f6b1a16c41b37e17b87a70a820a209%5E%21

tdf#121581 add scriptorganizer icon to breeze and sifr

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Pedro 2018-12-13 14:48:25 UTC
Created attachment 147503 [details]
Organize Macros command does not show created Macros

Tested the Organize Macros command and it is not working properly.

Steps to reproduce:
1 - Created a random Macro inside the spreasheet. 
2 - Opened Organize Macros and no Macros appear.

Expected result:
Macros should appear.

I think organize Macros dialog by itself does not work. in the menu it has a dropdown for several options:

- LibreOfficeDev Basic
- BeanShell
- Javascript
- Python

Is it possible to include this drop down? Otherwise, best option would be to select LibreOfficeDev Basic command since Macros are usually written in Basic and this command opens a dialog with its own command.
Comment 11 Pedro 2018-12-13 14:51:17 UTC
Created attachment 147504 [details]
LibreOfficeDev Basic dialog showing the mock macros I created that failed to show on Organize Macros

LibreOfficeDev Basic dialog showing the mock macros I created that failed to show on Organize Macros.

If you click Organizer in the dialog it opens its own organizer. I beileve the Organize Macros dialog is an empty dialog, if one does not select a type of macro (Basic, BeanShell, JavaScript or Python) it is inactive so it should not be placed by itself in the Tools tab.
Comment 12 Pedro 2018-12-13 14:53:11 UTC
Created attachment 147505 [details]
Place the LibreOfficeDev Basic in the position of the Organize Macros

I propose to place the LibreOfficeDev Basic in the position of the Organize Macros, if it's not possible to place this command with the dropdown to select between Basic, BeanShell, JavaScript or Python.
Comment 13 Commit Notification 2018-12-17 13:53:31 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e25f270d45e78399cbbf4d66d4d02af064ad4f79%5E%21

tdf#121581 update Tools tabb in NB

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-12-17 14:59:39 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1173358e599f9dc3ea086300e935a43ac3c3bb67%5E%21

tdf#121581 update Tools tabb in NB

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.